Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Main::InputSignal Class Reference

Input signal class. More...

`#include <inti/main.h>`

List of all members.

## Public Types

- typedef Slot2< void, int,
  GdkInputCondition > SlotType
    Function signature for handlers connected to this signal.

## Public Member Functions

- Connection connect (const SlotType *slot, int source, GdkInputCondition condition)
    Connect a slot to be called when a condition becomes true on a file descriptor.

## Detailed Description

Input signal class.

## Member Function Documentation

Connection Inti::Main::InputSignal::connect | ( | const SlotType * | slot,
|  | int | source,
|  | GdkInputCondition | condition
| ) |

  | Connect a slot to be called when a condition becomes true on a file descriptor. Parameters:
  slot | The slot to call.
  source | A file descriptor.
  condition | The condition.
Returns: A connection object that can be used to break or alter the connection. Connect a user function that will monitor a file descriptor source for the specified GdkInputCondition activity: GDK_INPUT_READ, GDK_INPUT_WRITE or GDK_INPUT_EXCEPTION.

The documentation for this class was generated from the following file:

- main.h

Main Page - Footer